imports:
  # Imports the default TYPO3 Config
  - resource: EXT:rte_ckeditor/Configuration/RTE/Processing.yaml
  - resource: EXT:rte_ckeditor/Configuration/RTE/Editor/Base.yaml
  - resource: EXT:rte_ckeditor/Configuration/RTE/Editor/Plugins.yaml

editor:
  # Register custom plugins for ckeditor
  # an example is the link plugin to select TYPO3-related links
  externalPlugins:
      # Description List plugin
      descriptionlist:
        resource: EXT:koch_config/Resources/Public/Backend/Javascript/ckeditor/ckeditor-descriptionlist/plugin.js
  config:
    forcePasteAsPlainText: true
    contentsCss:
      - EXT:rte_ckeditor/Resources/Public/Css/contents.css
      - EXT:koch_theme/Resources/Public/Css/rte.css
    toolbar:
    - name: styles
      items:
      - Format
      - Styles
    - name: basicstyles
      items:
      - Bold
      - Italic
      - Underline
      - Strike
      - -
      - Subscript
      - Superscript
      - -
      - RemoveFormat
    - name: paragraph
      items:
      - NumberedList
      - BulletedList
      - -
      - Blockquote
      - -
      - JustifyLeft
      - JustifyCenter
      - JustifyRight
      - JustifyBlock
    - name: paragraph
      items:
      - DescriptionList
      - DescriptionTerm
      - descriptionValue
    - name: links
      items:
      - Link
      - Unlink
    - name: insert
      items:
      - Table
      - HorizontalRule
      - SpecialChar
    - name: clipboard
      items:
      - Cut
      - Copy
      - Paste
      - PasteText
      - PasteFromWord
      - -
    - name: tools
      items:
      - Maximize
      - Source

    format_tags: p;h2;h3;address
    #Link classes
    # stylesSet:
    #  - name: Button
    #    element: a
    #    attributes:
    #      class: c-btn

#Button config
buttons:
  link:
    properties:
      class:
        allowedClasses: c-btn
        # allowedClasses: c-btn, u-icon u-icon--download

#Classes config
classes:
  c-btn:
    name: Button
  # u-icon u-icon--download:
  #   name: Download Link

# classesAnchor:
#   u-icon u-icon--download:
#     class: u-icon u-icon--download
#     type: file
